var DatecContact = {
	pagetype: '1770', // pageNum for ajax requests
	pageId: $('#tx-datec-contact-pageId').val(), // pageId for ajax requests
	path: $(location).attr('href').split('?')[0],
	showGuestbookEntries: function (page) {
		$('#tx-datec-contact-ajax-loader').show();
		$.ajax({
			async: true,
		    url: this.path + '?id=' + DatecContact.pageId + '&tx_dateccontact_contact[controller]=Guestbook&tx_dateccontact_contact[action]=showGuestbookEntries&type=' + DatecContact.pagetype + '&tx_dateccontact_contact[currentPage]=' + page,
		    success: function(result, status, xhr) {
			    $('#tx-datec-contact-guestbookEntries').html(result);
		        $('#tx-datec-contact-ajax-loader').hide();
		    },
		    error: function(error) {
		        console.log(error);
		        alert('Es ist ein Fehler aufgetreten!');
		    }
		});
	},
	createContactMessage: function () {
		var valid = $("#tx-datec-contact-contactMessageForm").valid();
	    if (valid) {
			$('#tx-datec-contact-ajax-loader').show();
			$('#tx-datec-contact-duplicant2').attr('value', $('#tx-datec-contact-duplicant1').val());
			$.ajax({
                method: "POST",
				async: true,
			    url: $('#tx-datec-contact-contactMessageForm').attr('action'),
			    data: $('#tx-datec-contact-contactMessageForm').serialize(),
                success: function(result, status, xhr) {
				    $('#tx-datec-contact-info').html(result);
			        $('#tx-datec-contact-ajax-loader').hide();
			        setTimeout(function() {
			        	$('#tx-datec-contact-contactMessageForm input[type="text"]').val('');
			        	$('#tx-datec-contact-contactMessageForm textarea').val('');
			        }, 5000);
			    },
			    error: function(error) {
			        console.log(error);
			        alert('Es ist ein Fehler aufgetreten!');
			    }
			});
	    }
	},
	createGuestbookEntry: function () {
		var valid = $("#tx-datec-contact-guestbookEntryForm").valid();
	    if (valid) {
			$('#tx-datec-contact-ajax-loader').show();
			$('#tx-datec-contact-duplicant2').attr('value', $('#tx-datec-contact-duplicant1').val());
			formData = $('#tx-datec-contact-guestbookEntryForm').serialize();
			$.ajax({
				async: true,
			    url: this.path + '?id=' + DatecContact.pageId + '&tx_dateccontact_contact[controller]=Guestbook&tx_dateccontact_contact[action]=createGuestbookEntry&type=' + DatecContact.pagetype + '&tx_dateccontact_contact[formData]=' + formData,
			    success: function(result, status, xhr) {
				    $('#tx-datec-contact-info').html(result);
			        $('#tx-datec-contact-ajax-loader').hide();
			        setTimeout(function() {
			        	$('#tx-datec-contact-guestbookEntryForm input[type="text"]').val('');
			        	$('#tx-datec-contact-guestbookEntryForm textarea').val('');
			        	DatecContact.showGuestbookEntries(0);
			        }, 5000);
			    },
			    error: function(error) {
			        console.log(error);
			        alert('Es ist ein Fehler aufgetreten!');
			    }
			});
	    }
	},
	validateFormFields: function() {
		//contact message fields
		if ($("#tx-datec-contact-contactMessageForm").length) {
			$("#tx-datec-contact-contactMessageForm").validate();

			if ($("#tx-datec-contact-contactmessage-text").length) {
			    $("#tx-datec-contact-contactmessage-text").rules("add", {
			        required: true,
			        messages: {
			            required: "Bitte geben Sie eine Kontaktnachricht an"
			        }
			    });
			}
		}
		// guestbook entry fields
		if ($("#tx-datec-contact-guestbookEntryForm").length) {
			$("#tx-datec-contact-guestbookEntryForm").validate();

			if ($("#tx-datec-contact-contactmessage-text").length) {
			    $("#tx-datec-contact-contactmessage-text").rules("add", {
			        required: true,
			        messages: {
			            required: "Bitte geben Sie einen G&auml;stebuchtext an"
			        }
			    });
			}
		}
		// contact fields
		if ($("#tx-datec-contact-contact-username.required").length) {
		    $("#tx-datec-contact-contact-username.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihren Benutzernamen an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-name.required").length) {
		    $("#tx-datec-contact-contact-name.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihren Benutzernamen an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-firstName.required").length) {
		    $("#tx-datec-contact-contact-firstName.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihren Vornamen an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-middleName.required").length) {
		    $("#tx-datec-contact-contact-middleName.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihren Mittelnamen an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-lastName.required").length) {
		    $("#tx-datec-contact-contact-lastName.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihren Nachnamen an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-address.required").length) {
		    $("#tx-datec-contact-contact-address.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihre Stra&szlig;e an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-telephone.required").length) {
		    $("#tx-datec-contact-contact-telephone.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihre Telefonnummer an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-fax.required").length) {
		    $("#tx-datec-contact-contact-fax.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihre Faxnummer an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-email.required").length) {
		    $("#tx-datec-contact-contact-email.required").rules("add", {
		        required: true,
		        email: true,
		        messages: {
		            required: "Bitte geben Ihre E-Mail Adresse an",
		            email: "Bitte geben sie eine g&uuml;ltige E-Mail Adresse an"
		        }
		    });
		} else if ($("#tx-datec-contact-contact-email").length) {
		    $("#tx-datec-contact-contact-email").rules("add", {
		        required: false,
		        email: true,
		        messages: {
		            email: "Bitte geben sie eine g&uuml;ltige E-Mail Adresse an",
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-title.required").length) {
		    $("#tx-datec-contact-contact-title.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihren Titel an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-zip.required").length) {
		    $("#tx-datec-contact-contact-zip.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihre PLZ an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-city.required").length) {
		    $("#tx-datec-contact-contact-city.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihren Wohnort an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-country.required").length) {
		    $("#tx-datec-contact-contact-country.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihr Land an"
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-company.required").length) {
		    $("#tx-datec-contact-contact-company.required").rules("add", {
		        required: true,
		        messages: {
		            required: "Bitte geben Sie Ihr Unternehmen an"
		        }
		    });
		}

	}
};
$().ready(function() {
    if (typeof jQuery === 'undefined' || typeof jQuery.validator === 'undefined') {
        console.log("DatecContact script depends on jQuery and jQuery validation Plugin.");
    }

	DatecContact.validateFormFields();
	if ($('#tx-datec-contact-guestbookEntries').length) {
		DatecContact.showGuestbookEntries(0);
	}
});